1. These forums are being retired. Please ask all questions and help threads and any other type of discussions on GitHub. During this time, new threads and user registrations have been disabled.

1.26 (obsolete) APIVersionPatcher 2015-03-11

A tool for updating ApiVersion in Plugins automatically.

  1. Simon311
    A tool for updating ApiVersion in Plugins automatically.
    Because apparently noobs fail to use -ignoreversion. Not that using this tool will be much simplier.

    Not to be used:
    • On plugins that can't be updated by simply changing API version
    • By plugin devs, plugin devs should recompile plugins instead.
    How to use:
    • Put old plugin binaries in the "Old" folder.
    • Put new TerrariaServer.exe and TShockAPI.dll in the "Binaries" folder
    • Run the tool?
    • Take patched plugins out of the "New" folder
    Metsu, Kojiro_S and texnik like this.

Recent Reviews

  1. nicatronTg
    nicatronTg
    5/5,
    Version: 2015-03-11
    It has its uses; certainly a valuable tool.